TextInputControl.Content (JavaFX 25)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: TextInputControl, interface: Content

# Interface TextInputControl.Content

All Superinterfaces:
  `Observable, ObservableObjectValue<String>, ObservableStringValue, ObservableValue<String>`

Enclosing class:
  `TextInputControl`

protected static interface TextInputControl.Content extends ObservableStringValue
Interface representing a text input's content. Since it is an ObservableStringValue, you can also bind to, or observe the content.

Since:
  JavaFX 2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int start, int end, boolean notifyListeners)`
  Removes a sequence of characters from the content.
  `String`
  `get(int start, int end)`
  Retrieves a subset of the content.
  `void`
  `insert(int index, String text, boolean notifyListeners)`
  Inserts a sequence of characters into the content.
  `int`
  `length()`
  Returns the number of characters represented by the content.

  ### Methods declared in interface Observable

  `addListener, removeListener, subscribe`

  ### Methods declared in interface ObservableObjectValue

  `get`

  ### Methods declared in interface ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener, subscribe, subscribe, when`

- ## Method Details

  - ### get

    String get(int start, int end)
    Retrieves a subset of the content.
    Parameters:
      `start` - the start
      `end` - the end
    Returns:
      a subset of the content

  - ### insert

    void insert(int index, String text, boolean notifyListeners)
    Inserts a sequence of characters into the content.
    Parameters:
      `index` - the index
      `text` - the text string
      `notifyListeners` - the notify listener flag
    Since:
      JavaFX 2.1

  - ### delete

    void delete(int start, int end, boolean notifyListeners)
    Removes a sequence of characters from the content.
    Parameters:
      `start` - the start
      `end` - the end
      `notifyListeners` - the notify listener flag
    Since:
      JavaFX 2.1

  - ### length

    int length()
    Returns the number of characters represented by the content.
    Returns:
      the number of characters